+#!/bin/sh

if [ "$#" -ne 1 ]; then
    echo 'Need output file.'
    exit 1
fi

OUTPUT="${1}"

gst-launch-1.0 -v v4l2src "device=/dev/video0"                      ! \
               "video/x-h264,framerate=30/1,width=1920,height=1080" ! \
               h264parse                                            ! \
               mpegtsmux "name=mux"                                 ! \
               filesink "location=${OUTPUT}"
